package relational;

import java.util.Hashtable;
import java.util.Vector;
import java.lang.reflect.Field;
import Tools.Text;

/**
 * The null Where clause that accepts all rows specified by the
 * FromClause.
 *
 * @classConcise true
 */
public class WhereAlways
	extends Where {

	public WhereAlways() {
	}

	public boolean includes(Row ro, Database db) {
		return true;
	}

	public String toString() {
		return("(Always)");
	}

	public int getChildCount() {
		return 0;
	}

	public Object getChild(int index) {
		return null;
	}

	public void setChild(int index, Object child) {
		throw new IllegalArgumentException("WhereAlways doesn't have children");
	}

	public String getShortName() { return  "Always"; }
}
